<!DOCTYPE html>
<html>
<head>
	<title>HW6</title>
</head>
<body>
	<script>
		const humans = [];
		let names = ['Василий', 'Петя', 'Маша', 'Степан', 'Алексей', 'Григорий', 'Зиновий'];
		let lastNames = ['Зайцев', 'Качергов', 'Дубинин', 'Абузов', 'Заметкин', 'Дарцев', 'Бдюлин'];

		class Human {
			constructor(name, lastName, age) {
				this.name = name;
				this.lastName = lastName;
				this.age = age;
			}
		}

		for (var i = 0; i < 10; i++) {
			humans[i] = new Human(names[Math.floor(Math.random()*names.length)],
								  lastNames[Math.floor(Math.random()*names.length)],
								  Math.floor(Math.random()*50))
		}

		//console.log(humans);
		humans.sort((a, b) => a.age - b.age)
			.forEach(e => document.write(`${e.name} ${e.lastName}, возраст ${e.age}<br>`));

	</script>
</body>
</html>